Delete Short Link
curl --request DELETE \
--url https://api.withterminal.com/tsp/v1/link/short/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withterminal.com/tsp/v1/link/short/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withterminal.com/tsp/v1/link/short/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "bad_request",
"message": "Invalid request body",
"detail": [
{
"message": "'vehicleId' property must be a valid ulid",
"path": "{requestQuery}.vehicleId",
"suggestion": "Please ensure you submit a valid 'vehicleId' property",
"context": {}
}
]
}{
"code": "unauthorized",
"message": "Unauthorized Request",
"detail": "Please ensure you have a valid API key"
}{
"code": "forbidden",
"message": "Forbidden Request",
"detail": "Please ensure the connection token matches the resource you are attempting to access."
}{
"code": "not_found",
"message": "Resource not found",
"detail": "Could not find resource with ID: 2342342"
}{
"code": "too_many_requests",
"message": "Too Many Requests",
"retryAfter": 60,
"detail": "You have exceeded your rate limit. Please try again later."
}{
"code": "internal_server_error",
"message": "Internal Server Error",
"detail": "Something went wrong"
}{
"code": "gateway_timeout",
"message": "Gateway Timeout"
}Link
Delete Short Link
Permanently delete a short link by its durable id from the create response (slk_…). This endpoint does not accept the 8-character code from the shared URL.
DELETE
/
link
/
short
/
{id}
Delete Short Link
After deletion, the short URL stops resolving immediately and the code may be reused by a future mint.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for a short link. Returned on create and required to delete the short link.
Pattern:
^slk_[0-9A-HJKMNP-TV-Z]{26}$Example:
"slk_01JB7K3N2QZP7TVR4FX8SDWFH9"
Response
No Content
⌘I